/*
 *	premiere scene pour le projet "Altitude"
 *		nouveau 9 fevrier 2022 - rue Ernest Renan
 */


#version 3.7;

global_settings {
		ambient_light rgb <0.09, 0.09, 0.09>
		assumed_gamma 1.0
		}

#include  "colors.inc"
#include  "macros.inc"
#include  "common.inc"

/* ---------------------------------------------------- */

#include  "WS/nbimg.inc"
#declare NormClock = clock/NbImg;

#declare Gam = 0.015 + (4.15 * Cos_010(NormClock));

#fopen LOG "WS/log.gamma" append
#write (LOG, clock, " ", NormClock, " ", Gam, "\n")
#fclose LOG

height_field {
        pgm "relief.pgm" gamma Gam
        smooth    // on
        translate <-0.5, 0, -0.5>
        scale  <19, 0.90, 10>
	texture {
		pigment { color Gray40 }
		finish {  diffuse 0.45 specular 0.25  }
		}
	rotate y*42
	translate y*0.45
       }

/* ---------------------------------------------------- */

object { Le_Sol }

sphere { 0, 30 pigment { color Gray20 } }

light_source { < 12, 12,   17>  color Yellow }
light_source { <-16, 15,  -18>  color Magenta }
light_source { < 20, 20,  -19>  color Cyan }

#declare CamLoc = <12, 3, 1+(2*NormClock)>;

camera	{
	location	CamLoc
	look_at		< 0, -1, 0>
	angle		54
	}

/* ---------------------------------------------------- */
